{% extends 'base.html' %}
{% load static %}

{% block title %}
<title> uchi's Login / Signup Page </title>
{% endblock %}

{% block css %}

<link rel="stylesheet" href="{% static 'story9/style.css' %}">
<link rel="stylesheet" href="{% static 'style.css' %}">

{% endblock %}

{% block content %}


<body>
    <div class="main-login">
        <div class="login-section">
            <div id="logIn" class="auth-section">
                <h1 class="login-header"> Welcome to Login Page! </h1>
                <div class="error-message"></div>
                <div class="success-message"></div>
                <div class="label-group">
                    <label class="input-label"> Username </label>
                    <div class="input-group">
                        <input type="text" placeholder="Type your username here" class="input" name="username" autocomplete="off">
                        <img src="{% static 'story9/icon-for-uname.png' %}" class="input-icon" alt="@">
                    </div>
                </div>
                <div class="label-group">
                    <label class="input-label"> Password </label>
                    <div class="input-group">
                        <input type="password" placeholder="Type your password here" class="input" name="password">
                        <img src="{% static 'story9/icon-for-pass.png' %}" class="input-icon" alt="lock">
                    </div>
                </div>
                <button class="main-button" id="logInButton">
                    <div class="lds-ring loading-hide"><div></div><div></div><div></div><div></div></div>
                    <div class="button-inner">LOG IN</div>
                </button>
                <a id="createAccountLink" class="create-new">Don't have any account? Create a new one!</a>
            </div>
            <div id="signUp" class="auth-section hide">
                <h1 class="login-header"> Welcome to Register Page!</h1>
                <h1 class="login-header"> Let's create an account.</h1>
                <div class="error-message"></div>
                <div class="success-message"></div>
                <div class="label-group">
                    <label class="input-label">Username</label>
                    <div class="input-group">
                        <input type="text" placeholder="Type your username here" class="input" name="s_username" autocomplete="off">
                        <img src="{% static 'story9/icon-for-uname.png' %}" class="input-icon" alt="@">
                    </div>
                </div>
                <div class="label-group">
                    <label class="input-label">Email</label>
                    <div class="input-group">
                        <input type="email" placeholder="seonho@gmail.com" class="input" name="s_email">
                        <img src="{% static 'story9/icon-for-mail.png' %}" class="input-icon" alt="mail"> 
                    </div>
                </div>
                <div class="label-group">
                    <label class="input-label">Password</label>
                    <div class="input-group">
                        <input type="password" placeholder="Type your password here" class="input" name="s_password">
                        <img src="{% static 'story9/icon-for-pass.png' %}" class="input-icon" alt="lock"> 
                    </div>
                </div>
                
                <button class="main-button" id="signUpButton">
                    <div class="lds-ring loading-hide"><div></div><div></div><div></div><div></div></div>
                    <div class="button-inner">SIGN UP</div>
                </button>
                <a id="loginLink" class="create-new"> Already have an account? Click here to log in </a>
            </div>
        </div>
    </div>

</body>

{% endblock %}

</html>